> ## Documentation Index
> Fetch the complete documentation index at: https://lightsage.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Eval Runs



## OpenAPI

````yaml /openapi.json get /v1/api-performance/runs
openapi: 3.1.0
info:
  title: Lightsage Public API
  description: Public API for Lightsage CLI and external integrations.
  version: 1.0.0
servers:
  - url: https://api.lightsage.com
    description: Production
security: []
paths:
  /v1/api-performance/runs:
    get:
      tags:
        - API Performance
      summary: List Eval Runs
      operationId: api_performance_runs_list
      parameters:
        - name: since
          in: query
          required: false
          schema:
            type: string
            title: Since
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 20
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EvalRunsListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - LightsageApiKeyAuth: []
components:
  schemas:
    EvalRunsListResponse:
      properties:
        company:
          $ref: '#/components/schemas/PublicCompany'
        data:
          items:
            $ref: '#/components/schemas/EvalRunSummary'
          type: array
          title: Data
        meta:
          $ref: '#/components/schemas/PublicListMeta'
      type: object
      required:
        - company
        - data
        - meta
      title: EvalRunsListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PublicCompany:
      properties:
        name:
          type: string
          title: Name
        domain:
          anyOf:
            - type: string
            - type: 'null'
          title: Domain
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Url
        relationship:
          anyOf:
            - type: string
            - type: 'null'
          title: Relationship
      type: object
      required:
        - name
      title: PublicCompany
    EvalRunSummary:
      properties:
        id:
          type: string
          title: Id
        endpoint:
          anyOf:
            - $ref: '#/components/schemas/PublicEndpoint'
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Endpoint
        source:
          anyOf:
            - $ref: '#/components/schemas/EvalRunSource'
            - type: 'null'
        eval_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Eval Type
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
        model_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Type
        platform:
          anyOf:
            - type: string
            - type: 'null'
          title: Platform
        passed:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Passed
        score:
          anyOf:
            - type: number
            - type: 'null'
          title: Score
        failure_reasons:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Failure Reasons
        latency_ms:
          anyOf:
            - type: integer
            - type: 'null'
          title: Latency Ms
        run_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Run At
      type: object
      required:
        - id
      title: EvalRunSummary
    PublicListMeta:
      properties:
        limit:
          type: integer
          title: Limit
        count:
          type: integer
          title: Count
      type: object
      required:
        - limit
        - count
      title: PublicListMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PublicEndpoint:
      properties:
        id:
          type: string
          title: Id
        method:
          anyOf:
            - type: string
            - type: 'null'
          title: Method
        path:
          anyOf:
            - type: string
            - type: 'null'
          title: Path
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        category:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Category
      type: object
      required:
        - id
      title: PublicEndpoint
    EvalRunSource:
      properties:
        id:
          type: string
          title: Id
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
        label:
          anyOf:
            - type: string
            - type: 'null'
          title: Label
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
      type: object
      required:
        - id
      title: EvalRunSource
  securitySchemes:
    LightsageApiKeyAuth:
      type: apiKey
      in: header
      name: X-Lightsage-Api-Key

````